### Method

# Gck Session encrypt_async

#### Declaration [src]

    void
    gck_session_encrypt_async (
      GckSession* self,
      GckObject* key,
      GckMechanism* mechanism,
      const guchar* input,
      gsize n_input,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Encrypt data in a mechanism specific manner. This call will return immediately and complete asynchronously.

#### Parameters

`key`

  Type: `GckObject`

  The key to encrypt with.

  The data is owned by the caller of the function.

`mechanism`

  Type: `GckMechanism`

  The mechanism type and parameters to use for encryption.

  The data is owned by the caller of the function.

`input`

  Type: An array of `guchar`

  The data to encrypt.

  The length of the array is specified in the `n_input` argument.
  The data is owned by the caller of the function.

`n_input`

  Type: `gsize`

  Length of the data to encrypt.

`cancellable`

  Type: `GCancellable`

  A GCancellable which can be used to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  A pointer to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.